;Shadow GetHit
[Statedef 3900]
anim = 5210
type = A
physics = N
velset = -4,-10
movetype = H
ctrl = 0

[State 3900, Gravity]
type = VelAdd
trigger1 = time
y = .4

[State 3900, Trans]
type = Trans
trigger1 = time
trans = addalpha
alpha = 205-(8*time),50+(8*time)

[State 3900, Dissapear]
type = DestroySelf
trigger1 = animtime = 0

;Shadow Dissapear
[Statedef 3901]
type = A
physics = N
movetype = I
ctrl = 0

[State 3901, VelSet]
type = velset
triggerall = time = 0
trigger1 = Vel X = 0
x = -4

[State 3901, Trans]
type = Trans
trigger1 = time
trans = addalpha
alpha = 205-(8*time),50+(8*time)

[State 3901, Dissapear]
type = DestroySelf
trigger1 = time > 30

;Shadow Grabber
[Statedef 3800]
anim = 3001
type = A
movetype = A
physics = N
velset = 0,-16
ctrl = 0

[State 3800, Hit]
type = Hitdef
trigger1 = time = 0
attr = A,SA
hitflag = A
guardflag = A
animtype = diagup
damage = 10
pausetime = 7, 7
sparkno = S10002
guard.sparkno = S10004
sparkxy = 0, ceil(-70*const(size.yscale))
hitsound = S5,7+random%3
guardsound = S6,0
ground.type = high
guard.hittime = 4
air.hittime = 25
air.velocity = -2, -1
getpower = 30, 10
givepower = 10, 3
yaccel = .5

[State 3800, Anim]
type = changeanim
trigger1 = anim = 3001
trigger1 = animtime = 0
value = 3002
persistent = 0

[State 3800, Statetype]
type = statetypeset
trigger1 = anim = 3002
movetype = I
persistent = 0

[State 3800, Sound]
type = playSND
trigger1 = anim = 3002
value = 3000,1
persistent = 0

[State 3800, POS]
type = posadd
trigger1 = anim = 3002
x = P2Dist X + 26
persistent = 0

[State 3800, POS]
type = turn
trigger1 = anim = 3002
persistent = 0

[State 3800, Down]
type = velset
trigger1 = anim = 3002
y = 16
persistent = 0

[State 3800, Fix1]
type = velset
triggerall = anim = 3002
trigger1 = Pos Y >= 0
y = 0

[State 3800, Fix2]
type = posset
triggerall = anim = 3002
trigger1 = Pos Y > 0
y = 0

[State 3800, Fix3]
type = changestate
triggerall = anim = 3002
trigger1 = Pos Y = 0
value = 3801

[Statedef 3801]
type = S
movetype = A
anim = 3003
physics = N
ctrl = 0

[State 3801, Grab]
type = Hitdef
trigger1 = time = 0
trigger1 = !(enemy, movetype = H)
attr = S, ST
hitflag = MA-
guardflag = 
sparkno = -1
priority = 2,Miss
p2stateno = 3802
guard.dist = -1
facing = -1
hitonce = 1
hitsound = S5,6
guardsound = S6,0

[State 3801, End]
type = changestate
trigger1 = anim = 3003
trigger1 = animtime = 0
trigger1 = !movehit
trigger2 = movehit
trigger2 = !(enemy, stateno = 3802)
value = 3901

[State 3801, Bind]
type = targetbind
trigger1 = numtarget
pos = 43, 0

[Statedef 3802]
type = S
movetype = H
velset = 0,0
ctrl = 0

[State 3802, Anim]
type = changeanim
trigger1 = timemod = 20, < 10
value = 5000
elem = 2

[State 3802, Anim]
type = changeanim
trigger1 = timemod = 20, >= 10
value = 5000
elem = 3

[State 3802, Free!]
type = selfstate
trigger1 = time > 180
trigger2 = !gethitvar(isbound)
value = 0
ctrl = 1

[Statedef 3810]
type = C
movetype = A
velset = 11,0
ctrl = 0
anim = 3051

[State 3810, Kick]
type = ChangeAnim
triggerall = anim = 3051
trigger1 = (p2bodydist X -83) < 0
value = 3052

[State 3810, Hit]
type = HitDef
trigger1 = time = 1
attr = C, SA
hitflag = M
guardflag = L
animtype = back
priority = 5, Hit
damage = 75
sparkno = S10002
guard.sparkno = S10004
pausetime = 0,7
sparkxy = 5, -10
hitsound = S5,7+random%3
guardsound = S6,0
ground.type = trip
ground.slidetime = 15
ground.hittime = 15
guard.hittime = 5
guard.dist = 60
ground.velocity = -3, 0
ground.cornerpush.veloff = 0
air.velocity = -3, 0
getpower = 225, 75
givepower = 75, 25

[State 3810, Slowdown]
type = velset
trigger1 = movecontact
x = 1

[State 3810, Dissapear]
type = ChangeState
trigger1 = movecontact
trigger2 = time > 30
value = 3901

[Statedef 3820]
type = S
movetype = A
velset = 13,0
ctrl = 0
juggle=10
anim = 3100

[State 3820, Punch]
type = ChangeAnim
triggerall = anim = 3100
trigger1 = (p2bodydist X-27) <= 0
value = 3101

[State 3820, Hit]
type = HitDef
trigger1 = time = 0
attr = S, SA
hitflag = MA
guardflag = H
animtype = heavy
priority = 5, Hit
damage = 75
sparkno = S10002
guard.sparkno = S10004
pausetime = 0,5
guard.pausetime = 0,7
sparkxy = 0,ceil(-77*const(size.yscale))
hitsound = S5,7+random%3
guardsound = S6,0
ground.type = high
ground.slidetime = 15
ground.hittime = 15
ground.velocity = -2, -3
ground.cornerpush.veloff = 0
air.velocity = -1, -6
fall=1
air.fall = 1
getpower = 225, 75
givepower = 75, 25
yaccel = .5
ID = 3820
nochainID = 3820
envshake.time = 15
envshake.freq = 40
envshake.ampl = 5

[State 3820, Pause]
type = pause
trigger1 = movehit
time = 7
persistent = 0

[State 3820, Slowdown]
type = velset
trigger1 = movecontact
x = 1

[State 3820, Dissapear]
type = ChangeState
trigger1 = movecontact
trigger2 = time > 30
value = 3901

[Statedef 3830]
type = S
movetype = A
velset = 13,5
ctrl = 0
anim = 3151

[State 3830, Hit]
type = HitDef
trigger1 = time = 1
attr = A, SA
hitflag = MAF
guardflag = H
animtype = heavy
priority = 5, Hit
damage = 75
sparkno = S10002
guard.sparkno = S10004
sparkxy = 0, 0
hitsound = S5,7+random%3
guardsound = S6,0
ground.type = trip
ground.slidetime = 15
ground.hittime = 15
guard.dist = 60
ground.velocity = -3, -1
air.velocity = -3, -1
getpower = 225, 75
givepower = 75, 25

[State 3830, Slowdown]
type = velset
trigger1 = movecontact
x = 1
y = 1

[State 3830, Dissapear]
type = ChangeState
trigger1 = movecontact
trigger2 = Pos Y >= 0
value = 3901

[Statedef 3831]
type = S
movetype = A
velset = 13,5
ctrl = 0
anim = 3151

[State 3830, Hit]
type = HitDef
trigger1 = time = 1
attr = A, SA
hitflag = MAF
guardflag = M
animtype = heavy
priority = 5, Hit
damage = 45
sparkno = S10002
guard.sparkno = S10004
sparkxy = 0, 0
hitsound = S5,7+random%3
guardsound = S6,0
ground.type = trip
ground.slidetime = 15
ground.hittime = 15
guard.dist = 60
ground.velocity = -3, -1
air.velocity = -3, -1
getpower = 225, 75
givepower = 75, 25

[State 3830, Slowdown]
type = velset
trigger1 = movecontact
x = 1
y = 1

[State 3830, Dissapear]
type = ChangeState
trigger1 = movecontact
trigger2 = Pos Y >= 0
value = 3901

[Statedef 3840]
type = S
movetype = A
velset = 10,0
ctrl = 0
anim = 3201

[State 3840, Freeze]
type = Hitdef
trigger1 = time = 0
attr = C, SA
hitflag = M-
guardflag = M
sparkno = -1
priority = 7,Miss
p2stateno = 3841
guard.dist = 60
facing = 1
hitonce = 1

[State 3840, Anim]
type = velset
trigger1 = movecontact
trigger1 = anim = 3201
x=0

[State 3840, Anim]
type = changeanim
trigger1 = movecontact
trigger1 = anim = 3201
value = 3202

[State 3840, Anim]
type = posadd
triggerall = anim = 3202
trigger1 = animelemtime(1) = 0
x = 15

[State 3840, Anim]
type = posadd
triggerall = anim = 3202
trigger1 = animelemtime(2) = 0
trigger2 = animelemtime(4) = 0
x = 10

[State 3840, Anim]
type = posadd
triggerall = anim = 3202
trigger1 = animelemtime(3) = 0
x = 13

[State 3840, Anim]
type = posadd
triggerall = anim = 3202
trigger1 = animelemtime(5) = 0
x = 7

[State 3840, Dissapear]
type = destroyself
trigger1 = animtime = 0
trigger1 = anim = 3202
trigger2 = time > 240

[Statedef 3841]
type = S
movetype = H
velset = 0,0
ctrl = 0

[State 3841, Changeanim]
type = changeanim
trigger1 = time < 11
value = 5000
elem = 1

[State 3841, Changeanim]
type = changeanim
trigger1 = time >= 11
trigger1 = time < 31
value = 5000
elem = 2

[State 3841, Changeanim]
type = changeanim
trigger1 = time >= 31
trigger1 = time < 111
value = 5000
elem = 3

[State 3841, Changeanim]
type = changeanim
trigger1 = time >= 111
trigger1 = time < 116
value = 5000
elem = 2

[State 3841, Changeanim]
type = changeanim
trigger1 = time >= 116
trigger1 = time < 118
value = 5000
elem = 1

[State 3841, PalFX]
type = PalFX
trigger1 = time = 0
time = 10
add = 50,50,150

[State 3841, PalFX]
type = PalFX
trigger1 = time = 10
time = 20
add = 100,100,200

[State 3841, PalFX]
type = PalFX
trigger1 = time = 30
time = 80
add = 150,150,250

[State 3841, PalFX]
type = PalFX
trigger1 = time = 110
time = 8
add = 150,150,250
sinadd = -150,-150,-250, 32

[State 3841, Free]
type = selfstate
trigger1 = time = 118
value = 0
ctrl = 1
