; The Shadow.cmd file.
;
;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = 
a = a
b = b
c = 
s =
;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 5

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Command]
name = "holda"
command = /a
time = 1

[Command]
name = "holdb"
command = /b
time = 1

[Command]
name = "holdx"
command = /x
time = 1

[Command]
name = "holdy"
command = /y
time = 1

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;------------------ #2
[Command]
name = "a2"
command = a
time = 1

[Command]
name = "b2"
command = b
time = 1

[Command]
name = "x2"
command = x
time = 1

[Command]
name = "y2"
command = y
time = 1

[Command]
name = "holdfwd2"
command = /$F
time = 1

[Command]
name = "holdback2"
command = /$B
time = 1

[Command]
name = "holdup2"
command = /$U
time = 1

[Command]
name = "holddown2"
command = /$D
time = 1

[Command]
name = "holda2"
command = /a
time = 1

[Command]
name = "holdb2"
command = /b
time = 1

[Command]
name = "holdx2"
command = /x
time = 1

[Command]
name = "holdy2"
command = /y
time = 1

[Command]
name = "recovery2"
command = x+y
time = 1

;-| Super Motions |--------------------------------------------------------
;
[Command]
name = "Shadow Grab"
command = D, ~$D, D, x
time = 10

[Command]
name = "Shadow Grab"
command = D, ~$D, D, y
time = 10

[Command]
name = "Air Shadow Grab"
command = ~D, DB, B, x
time = 10

[Command]
name = "Air Shadow Grab"
command = ~D, DB, B, y
time = 10

[Command]
name = "Shadow Slide"
command = ~D, DB, B, a
time = 10

[Command]
name = "Shadow Slide S"
command = ~D, DB, B, b
time = 10

[Command]
name = "Shadow Punch"
command = ~D, DB, B, x
time = 10

[Command]
name = "Shadow Punch S"
command = ~D, DB, B, y
time = 10

[Command]
name = "Shadow Dive"
command = ~D, DF, F, x
time = 10

[Command]
name = "Shadow Dive S"
command = ~D, DF, F, y
time = 10

[Command]
name = "Shadow Freeze"
command = ~DB, D, DF, F, x
time = 10

[Command]
name = "Shadow Freeze"
command = ~DB, D, DF, F, y
time = 10

[Command]
name = "Shadow Smash"
command = ~D, DB, B, D, DB, B, x
time = 25

[Command]
name = "Shadow Smash"
command = ~D, DB, B, D, DB, B, y
time = 25

[Command]
name = "????"
command = ~B, F, U, B, x
time = 20
buffer.time = 4

[Command]
name = "????"
command = ~B, F, U, B, y
time = 20
buffer.time = 4

;-| Special Motions |------------------------------------------------------

[Command]
name = "High Jump"
command = ~D,U
time = 4

[Command]
name = "High Jump"
command = ~D,UF
time = 4

[Command]
name = "High Jump"
command = ~D,UB
time = 4

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;=================================================================================
[State -1, AI Helper Check]
type = ChangeState
trigger1 = IsHelper(9741)
value = 9741

[State -1, AI Helper Check 2]
type = ChangeState
trigger1 = IsHelper(9742)
value = 9742

;DO NOT TOUCH THE FOLLOWING CODE, IT IS REQUIRED BY THE SHADOW HELPERS TO FUNCTION
[State -1, Dark]
type = PalFX
triggerall = IsHelper(11) || IsHelper(12) || IsHelper(13)
trigger1 = stateno != 3841
time = 1
add = -40,-40,-40

[State -1, Trans]
type = Trans
triggerall = IsHelper(11) || IsHelper(12) || IsHelper(13)
trigger1 = stateno != 3841
trans = addalpha
alpha = 205,50

[State -1, Push]
type = PlayerPush
trigger1 = IsHelper(11) || IsHelper(12) || IsHelper(13)
value = 0

[State -1, Hit Test]
type = ChangeState
triggerall = IsHelper(11) || IsHelper(12) || IsHelper(13)
trigger1 = parent, movetype = H
trigger1 = stateno != 3900
trigger1 = stateno != 3901
trigger2 = stateno = [0,110)
value = 3900

[State -1, Damage]
type = ParentVarAdd
triggerall = IsHelper(11) || IsHelper(12) || IsHelper(13)
trigger1 = movetype = H
v = 3
value = GetHitVar(damage)
ignorehitpause = 1

[State -1, Hitoverride]
type = HitOverride
triggerall = IsHelper(11) || IsHelper(12) || IsHelper(13)
trigger1 = stateno != 3900
attr =, AA,AP,AT
time = -1
stateno = 3900
slot = 0

[State -1, Hit Transfer]
type = LifeAdd
triggerall = !IsHelper
trigger1 = var(3) > 0
value = ceil(-.6*var(3))
ignorehitpause = 1

[State -1, Hit Transfer]
type = posadd
triggerall = !IsHelper
trigger1 = var(3) > 0
y = -10
ignorehitpause = 1

[State -1, Hit Transfer]
type = veladd
triggerall = !IsHelper
trigger1 = var(3) > 0
x = -2
y = -5
ignorehitpause = 1

[State -1, Hit Transfer]
type = ChangeState
triggerall = !IsHelper
trigger1 = var(3) > 0
trigger1 = !(var(3) := 0)
ctrl = 0
value = 5071
ignorehitpause = 1

;===========================================================================
;===========================================================================
;===========================================================================

;---------------------------------------------------------------------------
[State -1, ????]
type = null
value = 3600
triggerall = !IsHelper
triggerall = !var(0)
triggerall = Statetype != A
triggerall = command = "????"
triggerall = power >= 3000
triggerall = life <= 200
trigger1 = ctrl
trigger2 = movecontact
trigger2 = hitdefattr = SC, NA

;---------------------------------------------------------------------------
[State -1, Shadow Smash]
type = ChangeState
value = 3500
triggerall = !IsHelper
triggerall = !var(0)
triggerall = Statetype != A
triggerall = command = "Shadow Smash"
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = movecontact
trigger2 = hitdefattr = SC, NA

;---------------------------------------------------------------------------
[State -1, Shadow Freeze]
type = ChangeState
value = 3550
triggerall = !IsHelper
triggerall = !var(0)
triggerall = Statetype != A
triggerall = command = "Shadow Freeze"
triggerall = power >= 2000
trigger1 = ctrl
trigger2 = movecontact
trigger2 = hitdefattr = SC, NA

;---------------------------------------------------------------------------
[State -1, Shadow Grab]
type = ChangeState
value = 3000
triggerall = !IsHelper
triggerall = !var(0)
triggerall = Statetype != A
triggerall = command = "Shadow Grab"
triggerall = !NumHelper(13)
trigger1 = ctrl
trigger2 = movecontact
trigger2 = hitdefattr = SC, NA

;---------------------------------------------------------------------------
[State -1, Shadow Grab]
type = ChangeState
value = 3000
triggerall = !IsHelper
triggerall = !var(0)
triggerall = Statetype = A
triggerall = command = "Air Shadow Grab"
triggerall = !NumHelper(13)
trigger1 = ctrl
trigger2 = movecontact
trigger2 = hitdefattr = A, NA

;---------------------------------------------------------------------------
[State -1, Shadow Slide]
type = ChangeState
value = 3051
triggerall = !IsHelper
triggerall = !var(0)
triggerall = Statetype != A
triggerall = command = "Shadow Slide"
triggerall = !NumHelper(12)
trigger1 = ctrl
trigger2 = movecontact
trigger2 = hitdefattr = SC, NA

;---------------------------------------------------------------------------
[State -1, Shadow Slide]
type = ChangeState
value = 3050
triggerall = !IsHelper
triggerall = !var(0)
triggerall = Statetype != A
triggerall = command = "Shadow Slide S"
triggerall = !NumHelper(12)
trigger1 = ctrl
trigger2 = movecontact
trigger2 = hitdefattr = SC, NA

;---------------------------------------------------------------------------
[State -1, Shadow Punch]
type = ChangeState
value = 3101
triggerall = !IsHelper
triggerall = !var(0)
triggerall = Statetype != A
triggerall = command = "Shadow Punch"
triggerall = !NumHelper(11)
trigger1 = ctrl
trigger2 = movecontact
trigger2 = hitdefattr = SC, NA

;---------------------------------------------------------------------------
[State -1, Shadow Punch]
type = ChangeState
value = 3100
triggerall = !IsHelper
triggerall = !var(0)
triggerall = Statetype != A
triggerall = command = "Shadow Punch S"
triggerall = !NumHelper(11)
trigger1 = ctrl
trigger2 = movecontact
trigger2 = hitdefattr = SC, NA

;---------------------------------------------------------------------------
[State -1, Shadow Dive]
type = ChangeState
value = 3151
triggerall = !IsHelper
triggerall = !var(0)
triggerall = Statetype = A
triggerall = command = "Shadow Dive"
trigger1 = ctrl
trigger2 = movecontact
trigger2 = hitdefattr = A, NA

;---------------------------------------------------------------------------
[State -1, Shadow Dive]
type = ChangeState
value = 3150
triggerall = !IsHelper
triggerall = !var(0)
triggerall = Statetype = A
triggerall = command = "Shadow Dive S"
trigger1 = ctrl
trigger2 = movecontact
trigger2 = hitdefattr = A, NA

;---------------------------------------------------------------------------
;Jab
[State -1, Jab]
type = Changestate
value = 200
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = ctrl
trigger1 = command = "x"

;---------------------------------------------------------------------------
;Fierce
[State -1, Fierce]
type = Changestate
value = 210
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = command = "y"
trigger1 = ctrl

;---------------------------------------------------------------------------
;Short
[State -1, Short]
type = Changestate
value = 230
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = ctrl
trigger1 = command = "a"

;---------------------------------------------------------------------------
;Roundhouse
[State -1, Roundhouse]
type = Changestate
value = 240
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = ctrl
trigger1 = command = "b"

;---------------------------------------------------------------------------
;C.Jab
[State -1, C.Jab]
type = Changestate
value = 400
triggerall = command = "holddown"
triggerall = statetype != A
triggerall = ctrl
trigger1 = command = "x"

;---------------------------------------------------------------------------
;C.Fierce
[State -1, C.Fierce]
type = Changestate
value = 410
triggerall = command = "holddown"
triggerall = statetype != A
triggerall = ctrl
trigger1 = command = "y"

;---------------------------------------------------------------------------
;C.Short
[State -1, C.Short]
type = Changestate
value = 430
triggerall = command = "holddown"
triggerall = statetype != A
triggerall = ctrl
trigger1 = command = "a"

;---------------------------------------------------------------------------
;C.Roundhouse
[State -1, C.Roundhouse]
type = Changestate
value = 440
triggerall = command = "holddown"
triggerall = statetype != A
triggerall = ctrl
trigger1 = command = "b"

;---------------------------------------------------------------------------
;J.Fierce
[State -1, J.Fierce]
type = Changestate
value = 600
triggerall = statetype = A
triggerall = ctrl
trigger1 = command = "y"
trigger2 = command = "x"

;---------------------------------------------------------------------------
;J.Roundhouse
[State -1, J.Roundhouse]
type = Changestate
value = 630
triggerall = statetype = A
triggerall = ctrl
trigger1 = command = "b"
trigger2 = command = "a"